### Method

# Adw Avatar set_text

#### Declaration [src]

    void
    adw_avatar_set_text (
      AdwAvatar* self,
      const char* text
    )

#### Description [src]

Sets the text used to generate the fallback initials and color.

Available since: | 1.0

Sets property | `Adw.Avatar:text`

#### Parameters

`text` | `const char*`
| The text used to get the initials and color.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.